with GNATCOM.Dispinterface;

package MSHTML.IHTMLParaElement_Interface is

   type IHTMLParaElement_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLParaElement_Type);

   function Pointer (This : IHTMLParaElement_Type)
     return Pointer_To_IHTMLParaElement;

   procedure Attach (This    : in out IHTMLParaElement_Type;
                     Pointer : in     Pointer_To_IHTMLParaElement);

   procedure Put_align
     (This : IHTMLParaElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_align
     (This : IHTMLParaElement_Type)
     return GNATCOM.Types.BSTR;

end MSHTML.IHTMLParaElement_Interface;

